Subject: Check this awesome Directory

From: "anusha_kathy" <anusha_kathy@...>
Date: Tue, 08 Mar 2005 06:39:45 -0000

Hello,

I have always had problems using search engines to find what I
wanted,as it always poped up results that I was in no way looking for.
I just happen to go through a very simple page, with relavent links on
computing and felt that it could be useful to you too. You may go to
http://www.yahoouk.org/computing for the computing catalog with the
following sub areas : Computer Hardware, Computer Peripherals,Computer
Programming,Computer Security,Computer Services,Computer Storage
Devices,Document Management,Ecommerce, Email, Enterprise Software
Help Desk Services, Internet Service Providers, Memory, Network Design
& Construction, Network Hardware, Online Content, Printers, Software
Applications, Software Development and Web Hosting.

Kathy